CVE-2001-1348
CVSS7.5
发布时间 :2001-05-28 00:00:00
修订时间 :2008-09-05 16:26:19
NMCOS    

[原文]TWIG 2.6.2 and earlier allows remote attackers to perform unauthorized database operations via a SQL injection attack on the id parameter.


[CNNVD]TWIG Webmail 的 SQL Query 可更改漏洞(CNNVD-200105-099)

        CVE(CAN) ID: CAN-2001-1348
        
        
        
        对 SQL 查询语句,SQL 查询串(query string)没有用单引号括起来是一个小小的错误。这个错误可能导致潜在的危险。TWIG Webmail 存有这个漏洞。
        
        
        
        如我们所知的,如果域类型是 int、mediumint、tinyint 等诸如此类的,SQL 查询串没有用单引号括起来能够被 mysql 接受。比如,下面两个语句的效果一样:
        
        
        
        DELETE FROM mytable WHERE id='1' AND owner='karet'
        
        DELETE FROM mytable WHERE id=1 AND owner='karet'
        
        
        
        正常情况下,这没有什么问题。然而,如果上面的例子中 id 的值由用户来提供就有问题了。这使得用户可以控制 SQL 查询语句,把原来的 SQL查询语句更改为另一个语句。比如,如果用户提供给 id 的 值是 "1 OR id=2 OR id=3",上面第二个语句就变成
        
        
        
        DELETE FROM mytable WHERE id=1 OR id=2 OR id=3 AND owner='karet'
        
        
        
        了。TWIG Webmail 的这个漏洞使得恶意用户可以通过改变查询语句的逻辑插入 SQL 代码,进而进行非法操作。
        
        
        
        <* 来源:Luki Rustianto (luki@karet.org) *>
        
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:twig_development_team:twig:2.5.1
cpe:/a:twig_development_team:twig:2.2
cpe:/a:twig_development_team:twig:2.1.1
cpe:/a:twig_development_team:twig:2.0_beta1
cpe:/a:twig_development_team:twig:2.1
cpe:/a:twig_development_team:twig:2.5
cpe:/a:twig_development_team:twig:2.0.2
cpe:/a:twig_development_team:twig:2.0.3
cpe:/a:twig_development_team:twig:2.0_beta2
cpe:/a:twig_development_team:twig:2.3
cpe:/a:twig_development_team:twig:2.0_beta3
cpe:/a:twig_development_team:twig:2.0
cpe:/a:twig_development_team:twig:2.6
cpe:/a:twig_development_team:twig:2.3.2
cpe:/a:twig_development_team:twig:2.0.1
cpe:/a:twig_development_team:twig:2.3.1
cpe:/a:twig_development_team:twig:2.2.3
cpe:/a:twig_development_team:twig:2.2.1
cpe:/a:twig_development_team:twig:2.4
cpe:/a:twig_development_team:twig:2.6.1
cpe:/a:twig_development_team:twig:2.2.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-1348
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-1348
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200105-099
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/2791
(VENDOR_ADVISORY)  BID  2791
http://www.iss.net/security_center/static/6619.php
(VENDOR_ADVISORY)  XF  twig-webmail-query-modification(6619)
http://twig.screwdriver.net/index.php3
(UNKNOWN)  MISC  http://twig.screwdriver.net/index.php3
http://archives.neohapsis.com/archives/bugtraq/2001-05/0260.html
(UNKNOWN)  BUGTRAQ  20010528 TWIG SQL query bugs

- 漏洞信息

TWIG Webmail 的 SQL Query 可更改漏洞
高危 输入验证
2001-05-28 00:00:00 2006-09-22 00:00:00
远程  
        CVE(CAN) ID: CAN-2001-1348
        
        
        
        对 SQL 查询语句,SQL 查询串(query string)没有用单引号括起来是一个小小的错误。这个错误可能导致潜在的危险。TWIG Webmail 存有这个漏洞。
        
        
        
        如我们所知的,如果域类型是 int、mediumint、tinyint 等诸如此类的,SQL 查询串没有用单引号括起来能够被 mysql 接受。比如,下面两个语句的效果一样:
        
        
        
        DELETE FROM mytable WHERE id='1' AND owner='karet'
        
        DELETE FROM mytable WHERE id=1 AND owner='karet'
        
        
        
        正常情况下,这没有什么问题。然而,如果上面的例子中 id 的值由用户来提供就有问题了。这使得用户可以控制 SQL 查询语句,把原来的 SQL查询语句更改为另一个语句。比如,如果用户提供给 id 的 值是 "1 OR id=2 OR id=3",上面第二个语句就变成
        
        
        
        DELETE FROM mytable WHERE id=1 OR id=2 OR id=3 AND owner='karet'
        
        
        
        了。TWIG Webmail 的这个漏洞使得恶意用户可以通过改变查询语句的逻辑插入 SQL 代码,进而进行非法操作。
        
        
        
        <* 来源:Luki Rustianto (luki@karet.org) *>
        
        

- 公告与补丁

        
        
        临时解决方法:
        
        
        
         CNNVD建议您按漏洞发现者所说的先执行下列命令:
        
         $ grep -r "WHERE id=" /lib/*
        
         然后在有问题的语句中,为那些变量手工加上单引号。
        
         例如: addslashes($IDNumber)
        
        
        
        厂商补丁:
        
        
        
        目前厂商还没有提供补丁或者升级程序。我们建议使用此软件的用户随时关注厂商站点以获取最新版本:
        
        
        http://twig.screwdriver.net/

        
        
        

- 漏洞信息

10161
TWIG schedule.edit.inc.php3 id Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

TWIG contains a flaw that will allow a remote attacker to inject arbitrary SQL code. The problem is that the id parameter in the schedule.edit.inc.php3 script is not verified properly and will allow an attacker to inject or manipulate SQL queries.

- 时间线

2001-05-28 Unknow
2001-05-28 Unknow

- 解决方案

Upgrade to version 2.8.0-alpha1 or higher, as it has been reported to fix this vulnerability. It is also possible to correct the flaw by implementing the following workaround(s): Modify the code to check to see if the id parameter conatains a number before using it in the SQL query

- 相关参考

- 漏洞作者

- 漏洞信息

TWIG Webmail SQL Query Modification Vulnerability
Input Validation Error 2791
Yes No
2001-05-28 12:00:00 2009-07-11 06:06:00
This vulnerability was discovered by Luki Rustianto <luki@karet.org> and pubished on May 28, 2001.

- 受影响的程序版本

TWIG TWIG 2.6.1
TWIG TWIG 2.6
TWIG TWIG 2.5.1
TWIG TWIG 2.5
TWIG TWIG 2.4
TWIG TWIG 2.3.2
TWIG TWIG 2.3.1
TWIG TWIG 2.3
TWIG TWIG 2.2.3
TWIG TWIG 2.2.2
TWIG TWIG 2.2.1
TWIG TWIG 2.2
TWIG TWIG 2.1.1
TWIG TWIG 2.1
TWIG TWIG 2.0.3
TWIG TWIG 2.0.2
TWIG TWIG 2.0.1
TWIG TWIG 2.0 beta3
TWIG TWIG 2.0 beta2
TWIG TWIG 2.0 beta1
TWIG TWIG 2.0

- 漏洞讨论

TWIG Webmail contains a vulnerability which may allow for users to modify SQL queries.

The application fails to quote form variables when they are included in SQL query strings. As a result, it may be possible for malicious clients to inject SQL code into queries that alters the logic of the query. These modified queries may then perform unauthorized operations.

- 漏洞利用

These vulnerabilities can be exploited with a web browser.

- 解决方案

It is advised that if TWIG Webmail is to remain in use, administrators should fix the query strings manually. The vulnerability can be patched if quotes are added around variables in query strings.

Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站